List Branches
GEThttps://api.confident-ai.com/v1/prompts/{alias}/branches
Retrieves a list of all the branches associated with a prompt
curl -X GET "https://api.confident-ai.com/v1/prompts/{alias}/branches" \
-H "CONFIDENT_API_KEY: <PROJECT-API-KEY>"{
"success": true,
"data": {
"branches": [
{
"id": "br_123456",
"name": "main"
},
{
"id": "br_123789",
"name": "NewBranch"
}
]
},
"deprecated": false
}Headers
CONFIDENT_API_KEYstringRequiredThe API key of your Confident AI project.
Path parameters
aliasstringRequiredThe unique alias of the prompt.
Response
successbooleanThis is true if the prompt branches were successfully retrieved.
dataobjectShow 1 propertyHide 1 property
brancheslist of objectsShow 2 propertiesHide 2 properties
idstringThis is the unique id of the prompt branch.
namestringThis is the name of the prompt branch.
deprecatedbooleanThis is true if this endpoint is deprecated.
Built byConfident AI